# Class KeywordType

Object
CodeList<KeywordType>
KeywordType

All Implemented Interfaces:
  `Serializable, Comparable<KeywordType>`

@UML(identifier="MD_KeywordTypeCode", specification=ISO_19115) public final class KeywordType extends CodeList<KeywordType>
Methods used to group similar keywords.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final KeywordType`
  `DISCIPLINE`
  Keyword identifies a branch of instruction or specialized learning.
  `static final KeywordType`
  `PLACE`
  Keyword identifies a location.
  `static final KeywordType`
  `STRATUM`
  Keyword identifies the layer(s) of any deposited substance.
  `static final KeywordType`
  `TEMPORAL`
  Keyword identifies a time period related to the dataset.
  `static final KeywordType`
  `THEME`
  Keyword identifies a particular subject or topic.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `KeywordType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static KeywordType`
  `valueOf(String code)`
  Returns the KeywordType that matches the given string, or returns a new one if none match it.
  `static KeywordType[]`
  `values()`
  Returns the list of `KeywordType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DISCIPLINE

    @UML(identifier="discipline", obligation=CONDITIONAL, specification=ISO_19115) public static final KeywordType DISCIPLINE
    Keyword identifies a branch of instruction or specialized learning.

  - ### PLACE

    @UML(identifier="place", obligation=CONDITIONAL, specification=ISO_19115) public static final KeywordType PLACE
    Keyword identifies a location.

  - ### STRATUM

    @UML(identifier="stratum", obligation=CONDITIONAL, specification=ISO_19115) public static final KeywordType STRATUM
    Keyword identifies the layer(s) of any deposited substance.

  - ### TEMPORAL

    @UML(identifier="temporal", obligation=CONDITIONAL, specification=ISO_19115) public static final KeywordType TEMPORAL
    Keyword identifies a time period related to the dataset.

  - ### THEME

    @UML(identifier="theme", obligation=CONDITIONAL, specification=ISO_19115) public static final KeywordType THEME
    Keyword identifies a particular subject or topic.

- ## Method Details

  - ### values

    public static KeywordType[] values()
    Returns the list of `KeywordType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public KeywordType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<KeywordType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static KeywordType valueOf(String code)
    Returns the KeywordType that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.